## org.hibernate.type
Class DoubleType

    java.lang.Object
      org.hibernate.type.AbstractStandardBasicType<T>
          org.hibernate.type.AbstractSingleColumnStandardBasicType<Double>
              org.hibernate.type.DoubleType

All Implemented Interfaces:
  Serializable, BasicType, LiteralType<Double>, PrimitiveType<Double>, SingleColumnType<Double>, StringRepresentableType<Double>, Type, XmlRepresentableType<Double>

    public class DoubleType

extends AbstractSingleColumnStandardBasicType<Double>
implements PrimitiveType<Double>

A type that maps between `DOUBLE` and `Double`

See Also:
  Serialized Form

Field Summary
`static DoubleType` `INSTANCE`
`static Double` `ZERO`

Constructor Summary
`DoubleType()`

Method Summary
`Serializable` `getDefaultValue()` Get this type's default value.
`String` `getName()` Returns the abbreviated name of the type.
`Class` `getPrimitiveClass()` Retrieve the primitive counterpart to the wrapper type identified by `Type.getReturnedClass()`.
`String[]` `getRegistrationKeys()` Get the names under which this type should be registered in the type registry.
`String` `objectToSQLString(Double value, Dialect dialect)` Convert the value into a string representation, suitable for embedding in an SQL statement as a literal.

Methods inherited from class org.hibernate.type.AbstractSingleColumnStandardBasicType
`nullSafeSet, sqlType`

Methods inherited from class org.hibernate.type.AbstractStandardBasicType

`assemble, beforeAssemble, compare, deepCopy, deepCopy, defaultSizes, dictatedSizes, disassemble, fromString, fromStringValue, fromXMLNode, fromXMLString, get, getColumnSpan, getDefaultSize, getDictatedSize, getHashCode, getHashCode, getJavaTypeDescriptor, getMutabilityPlan, getReplacement, getReturnedClass, getSemiResolvedType, getSqlTypeDescriptor, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isDirty, isEntityType, isEqual, isEqual, isModified, isMutable, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeGet, nullSafeSet, nullSafeSet, registerUnderJavaType, remapSqlTypeDescriptor, replace, replace, resolve, semiResolve, set, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString, toString, toXMLString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.type.PrimitiveType
`toString`

Methods inherited from interface org.hibernate.type.SingleColumnType
`fromStringValue, get, nullSafeGet, set, toString`

Methods inherited from interface org.hibernate.type.Type

`assemble, beforeAssemble, compare, deepCopy, defaultSizes, dictatedSizes, disassemble, fromXMLNode, getColumnSpan, getHashCode, getHashCode, getReturnedClass, getSemiResolvedType, hydrate, isAnyType, isAssociationType, isCollectionType, isComponentType, isDirty, isDirty, isEntityType, isEqual, isEqual, isModified, isMutable, isSame, isXMLElement, nullSafeGet, nullSafeGet, nullSafeSet, replace, replace, resolve, semiResolve, setToXMLNode, sqlTypes, toColumnNullness, toLoggableString`

Field Detail

### INSTANCE

    public static final DoubleType INSTANCE

### ZERO

    public static final Double ZERO

Constructor Detail

### DoubleType

    public DoubleType()

Method Detail

### getName

    public String getName()

  Description copied from interface: `Type`
  Returns the abbreviated name of the type.

  Specified by:
    `getName` in interface `Type`
  Returns:
    String the Hibernate type name

### getRegistrationKeys

    public String[] getRegistrationKeys()

  Description copied from interface: `BasicType`
  Get the names under which this type should be registered in the type registry.

  Specified by:
    `getRegistrationKeys` in interface `BasicType`
  Overrides:
    `getRegistrationKeys` in class `AbstractStandardBasicType<Double>`
  Returns:
    The keys under which to register this type.

### getDefaultValue

    public Serializable getDefaultValue()

  Description copied from interface: `PrimitiveType`
  Get this type's default value.

  Specified by:
    `getDefaultValue` in interface `PrimitiveType<Double>`
  Returns:
    The default value.

### getPrimitiveClass

    public Class getPrimitiveClass()

  Description copied from interface: `PrimitiveType`
  Retrieve the primitive counterpart to the wrapper type identified by `Type.getReturnedClass()`.

  Specified by:
    `getPrimitiveClass` in interface `PrimitiveType<Double>`
  Returns:
    The primitive Java type.

### objectToSQLString

    public String objectToSQLString(Double value,
                                    Dialect dialect)
                             throws Exception

  Description copied from interface: `LiteralType`
  Convert the value into a string representation, suitable for embedding in an SQL statement as a literal.

  Specified by:
    `objectToSQLString` in interface `LiteralType<Double>`
  Parameters:
    `value` - The value to convert
    `dialect` - The SQL dialect
  Returns:
    The value's string representation
  Throws:
    `Exception` - Indicates an issue converting the value to literal string.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.